default item_descriptions = {
    "barrier spell": "A spell which can save your life. It makes a weak barrier.",
    "broom": "Maybe you can fly it?"
}
default inventory_items = ["barrier spell", "broom"]
default item_description = ""
default selected_item = None

# Funktion zum Ausführen des Zaubers
init python:
    def cast_spell(spell_name):
        if spell_name == "barrier spell":
            renpy.notify("You cast the Barrier Spell!")
            # Füge hier den Effekt des Zaubers hinzu, z.B. Lebenspunkte erhöhen, etc.
        elif spell_name == "broom":
            renpy.notify("You try to fly on the broom, but nothing happens.")
        else:
            renpy.notify(f"You try to use {spell_name}, but nothing happens.")

# Hauptscreen für das Inventar
screen inventory_display_toggle:
    zorder 92
    frame:
        background "#9F99"
        xalign 0.05
        yalign 0.1

        textbutton "Spells":
            action ToggleScreen("inventory_item_description")

    on "hide" action Hide("inventory_item_description")

screen inventory_item_description:
    window:
        background "#AAA9"
        xsize 600
        ysize 150
        xalign 0.5
        yalign 0.1
        text item_description:
            xfill True
            yfill True

    window:
        background "#99F9"
        xsize 1290
        ysize 600
        xalign 0.5
        yalign 0.7
        hbox:
            box_wrap True
            box_wrap_spacing 10
            spacing 10
            xoffset 20
            yoffset 20
            style_prefix "inv"
            for item in inventory_items:
                textbutton item:
                    action [
                        SetVariable("item_description", item_descriptions.get(item)),
                        SetVariable("selected_item", item),
                        Show("confirm_spell_use")
                    ]
                    selected False

    on "hide" action SetVariable("item_description", "")

# Screen für die Bestätigungsabfrage
screen confirm_spell_use:
    modal True
    zorder 100
    frame:
        background "#222C"
        xalign 0.5
        yalign 0.5
        vbox:
            spacing 20
            text "Do you want to use this spell?"
            hbox:
                spacing 20
                textbutton "Yes":
                    action [Hide("confirm_spell_use"), Function(cast_spell, selected_item)]
                textbutton "No":
                    action Hide("confirm_spell_use")